<?xml version="1.0" encoding="utf-8"?>
<manifest xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    package="fm.ps.digident"
    android:installLocation="preferExternal">

    <uses-permission
        android:name="android.permission.MANAGE_EXTERNAL_STORAGE"
        tools:ignore="ScopedStorage" />
    <uses-permission android:name="android.permission.WRITE_EXTERNAL_STORAGE" />
    <uses-permission android:name="android.permission.READ_EXTERNAL_STORAGE" />

    <uses-permission android:name="android.permission.INTERNET"/>

    <application
        android:allowBackup="true"
        android:icon="@drawable/ic_logo"
        android:label="@string/app_name"
        android:roundIcon="@drawable/ic_logo"
        android:supportsRtl="true"
        android:theme="@style/Theme.Digident">

        <activity
            android:name=".views.activities.SavingInformationActivity"
            android:exported="true">
            <intent-filter>
                <action android:name="fm.ps.digident" />

                <category android:name="android.intent.category.DEFAULT" />
                <category android:name="SavingInformationActivity" />
            </intent-filter>
        </activity>

        <activity
            android:name=".views.activities.MedicalHistoryActivity"
            android:exported="true">
            <intent-filter>
                <action android:name="fm.ps.digident" />

                <category android:name="android.intent.category.DEFAULT" />
                <category android:name="MedicalHistoryActivity" />
            </intent-filter>
        </activity>
        <activity
            android:name=".views.activities.LoginActivity"
            android:exported="true">
            <intent-filter>
                <action android:name="fm.ps.digident" />

                <category android:name="android.intent.category.DEFAULT" />
                <category android:name="LoginActivity" />
            </intent-filter>
        </activity>
        <activity
            android:name=".views.activities.SelectPatientConditionActivity"
            android:exported="true">
            <intent-filter>
                <action android:name="fm.ps.digident" />

                <category android:name="android.intent.category.DEFAULT" />
                <category android:name="SelectPatientConditionActivity" />
            </intent-filter>
        </activity>
        <activity
            android:name=".views.activities.MainActivity"
            android:exported="true">
            <intent-filter>
                <action android:name="fm.ps.digident" />

                <category android:name="android.intent.category.DEFAULT" />
                <category android:name="MainActivity" />
            </intent-filter>
        </activity>
        <activity
            android:name=".views.activities.SplashActivity"
            android:exported="true">
            <intent-filter>
                <action android:name="android.intent.action.MAIN" />

                <category android:name="android.intent.category.LAUNCHER" />
            </intent-filter>
        </activity>
    </application>

</manifest>